<!-- 
This README describes the package. If you publish this package to pub.dev,
this README's contents appear on the landing page for your package.

For information about how to write a good package README, see the guide for
[writing package pages](https://dart.dev/guides/libraries/writing-package-pages). 

For general information about developing packages, see the Dart guide for
[creating packages](https://dart.dev/guides/libraries/create-library-packages)
and the Flutter guide for
[developing packages and plugins](https://flutter.dev/developing-packages). 
-->


## Features

A set of widgets that simplifies adding space between UI elements.

## Getting started

To add the package into your project, use the following command

```
 flutter pub add spacer

```

## Usage

```dart

//To add space vertically between UI elements
Height(double height)

//To add space horizontally between UI elements
Width(double width)

//To add space both vertically and horizontally between UI elements
Space(double space)

```

## Example

```dart

//Adds 100 logical pixels between the two icons
Row(
    children: [
        Icon(Icons.apps),
        Width(100),
        Icon(Icons.settings),
    ]
)

```


## Additional information

The package is actively maintained and therefore safe to use in a production environment.
</br>
