import 'package:flutter/material.dart';

class Height extends StatelessWidget {
  final double height;

  const Height(this.height);

  @override
  Widget build(BuildContext context) {
    return SizedBox(
      height: height,
      width: 0,
    );
  }
}

class Width extends StatelessWidget {
  final double width;

  const Width(this.width);

  @override
  Widget build(BuildContext context) {
    return SizedBox(
      width: width,
      height: 0,
    );
  }
}

class Space extends StatelessWidget {
  final double space;

  const Space(this.space);

  @override
  Widget build(BuildContext context) {
    return SizedBox(
      width: space,
      height: space,
    );
  }
}
